Package ru.nilsoft.tm

# Class TMCommand.doc_params2

java.lang.Object
ru.nilsoft.tm.TMCommand.doc_params2

Enclosing class:
  `TMCommand`

public static final class TMCommand.doc_params2 extends Object
Параметр2 документов (смотри функции `TMCommand.CmdGetParams()`, `TMCommand.CmdSetParams(short, short, short)`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `AUTO_ENCASHMENT`
  Бит установлен: Автоматическая инкассация при закрытии смены.
  `static final short`
  `CRLF_DELIMIT_PARAM`
  Бит установлен: Разделять параметры на контрольной ленте переводом строки.
  `static final short`
  `NARROW_CHEQUE`
  Бит установлен: Узкий чек.
  `static final short`
  `NOT_CUT_TAPE`
  Бит установлен: Не резать чековую ленту.
  `static final short`
  `NOT_PRINT_RUB`
  Бит установлен: Не печатать "РУБ" в чеках и отчётах.
  `static final short`
  `PRINT_DEP_QUANTITY`
  Включить в отчет по отделам количество.
  `static final short`
  `PRINT_DEPARTMENTS`
  Печатать отчёт по отделам в "Отчёте о текущем состоянии расчётов" и название отдела в позиции чека.
  `static final short`
  `PRINT_DISCOUNTS`
  Бит установлен: Печатать дополнительную строку для СКИДКИ/НАЦЕНКИ.
  `static final short`
  `PRINT_GRAPH_HEADER`
  Бит установлен: Печать графического заголовка.
  `static final short`
  `PRINT_OPEN_SHIFT`
  Бит установлен: Печатать отчёт открытия смены.
  `static final short`
  `PRINT_UNIDOC_HEADER`
  Бит установлен: Печатать заголовок для универсального фискального документа.
  `static final short`
  `RESERVED_0004`
  Зарезервировано.
  `static final short`
  `RESERVED_0008`
  Зарезервировано.
  `static final short`
  `RESERVED_0400`
  Зарезервировано.
  `static final short`
  `RESERVED_8000`
  Зарезервировано.
  `static final short`
  `WAIT_START_SYM`
  Бит установлен: Ожидание стартового символа.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `doc_params2()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AUTO_ENCASHMENT

    public static final short AUTO_ENCASHMENT
    Бит установлен: Автоматическая инкассация при закрытии смены.
    See Also:
      - Constant Field Values

  - ### PRINT_GRAPH_HEADER

    public static final short PRINT_GRAPH_HEADER
    Бит установлен: Печать графического заголовка.
    See Also:
      - Constant Field Values

  - ### RESERVED_0004

    public static final short RESERVED_0004
    Зарезервировано.
    See Also:
      - Constant Field Values

  - ### RESERVED_0008

    public static final short RESERVED_0008
    Зарезервировано.
    See Also:
      - Constant Field Values

  - ### NOT_PRINT_RUB

    public static final short NOT_PRINT_RUB
    Бит установлен: Не печатать "РУБ" в чеках и отчётах.
    See Also:
      - Constant Field Values

  - ### NOT_CUT_TAPE

    public static final short NOT_CUT_TAPE
    Бит установлен: Не резать чековую ленту.
    See Also:
      - Constant Field Values

  - ### PRINT_DISCOUNTS

    public static final short PRINT_DISCOUNTS
    Бит установлен: Печатать дополнительную строку для СКИДКИ/НАЦЕНКИ.
    See Also:
      - Constant Field Values

  - ### PRINT_UNIDOC_HEADER

    public static final short PRINT_UNIDOC_HEADER
    Бит установлен: Печатать заголовок для универсального фискального документа.
    See Also:
      - Constant Field Values

  - ### PRINT_DEPARTMENTS

    public static final short PRINT_DEPARTMENTS
    Печатать отчёт по отделам в "Отчёте о текущем состоянии расчётов" и название отдела в позиции чека.
    See Also:
      - Constant Field Values

  - ### NARROW_CHEQUE

    public static final short NARROW_CHEQUE
    Бит установлен: Узкий чек.
    See Also:
      - Constant Field Values

  - ### RESERVED_0400

    public static final short RESERVED_0400
    Зарезервировано.
    See Also:
      - Constant Field Values

  - ### PRINT_OPEN_SHIFT

    public static final short PRINT_OPEN_SHIFT
    Бит установлен: Печатать отчёт открытия смены.
    See Also:
      - Constant Field Values

  - ### CRLF_DELIMIT_PARAM

    public static final short CRLF_DELIMIT_PARAM
    Бит установлен: Разделять параметры на контрольной ленте переводом строки.
    See Also:
      - Constant Field Values

  - ### PRINT_DEP_QUANTITY

    public static final short PRINT_DEP_QUANTITY
    Включить в отчет по отделам количество.
    See Also:
      - Constant Field Values

  - ### WAIT_START_SYM

    public static final short WAIT_START_SYM
    Бит установлен: Ожидание стартового символа.
    See Also:
      - Constant Field Values

  - ### RESERVED_8000

    public static final short RESERVED_8000
    Зарезервировано.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### doc_params2

    public doc_params2()